<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__cfg__gatt__settings__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_cfg_gatt_settings_t</compoundname>
    <includes local="no">wiced_bt_cfg.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__cfg__gatt__settings__t_1ae08d1728a490d976c2f11e8ac0af15a6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga7a06e57f611b61b8ffdb245b23638b38">wiced_bt_gatt_appearance_t</ref></type>
        <definition>wiced_bt_gatt_appearance_t wiced_bt_cfg_gatt_settings_t::appearance</definition>
        <argsstring />
        <name>appearance</name>
        <briefdescription>
<para>GATT appearance (see <ref kindref="member" refid="group__wicedbt__gatt_1ga244b6c64a958765582c0d6a2c1fdfed4">gatt_appearance_e</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="163" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="163" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__gatt__settings__t_1acfacd7a0fe60f7ee679df29c70b5be7f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_gatt_settings_t::client_max_links</definition>
        <argsstring />
        <name>client_max_links</name>
        <briefdescription>
<para>Client config: maximum number of servers that local client can connect to. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="164" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="164" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__gatt__settings__t_1a115fec2179371bec60d1e46a97c7283c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_gatt_settings_t::server_max_links</definition>
        <argsstring />
        <name>server_max_links</name>
        <briefdescription>
<para>Server config: maximum number of remote clients connections allowed by the local. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="165" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="165" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__gatt__settings__t_1a5c09f6c6df3ba21972db880fe343ca8f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_cfg_gatt_settings_t::max_attr_len</definition>
        <argsstring />
        <name>max_attr_len</name>
        <briefdescription>
<para>Maximum attribute length; gki_cfg must have a corresponding buffer pool that can hold this length. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="166" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="166" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__gatt__settings__t_1ae202354d17d16a6b90cec5cd4793e6b0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_cfg_gatt_settings_t::max_mtu_size</definition>
        <argsstring />
        <name>max_mtu_size</name>
        <briefdescription>
<para>Maximum MTU size for GATT connections, should be between 23 and (max_attr_len + 5) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="167" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="167" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__gatt__settings__t_1a370849937f0344b1b862b1e5ab9b0f34" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_gatt_settings_t::max_db_service_modules</definition>
        <argsstring />
        <name>max_db_service_modules</name>
        <briefdescription>
<para>Maximum number of service modules in the DB. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="168" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="168" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__gatt__settings__t_1a9890bc521deb8fc14d73dba8d6729375" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_gatt_settings_t::max_gatt_bearers</definition>
        <argsstring />
        <name>max_gatt_bearers</name>
        <briefdescription>
<para>Maximum number of allowed gatt bearers. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="169" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="169" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__gatt__settings__t_1a1cc255a7a7b07e5403207a85a0018826" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_gatt_settings_t::use_gatt_over_br_edr</definition>
        <argsstring />
        <name>use_gatt_over_br_edr</name>
        <briefdescription>
<para>set to 1 to enable gatt over br edr </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="170" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="170" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT settings. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="171" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="161" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="162" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__cfg__gatt__settings__t_1ae08d1728a490d976c2f11e8ac0af15a6" virt="non-virtual"><scope>wiced_bt_cfg_gatt_settings_t</scope><name>appearance</name></member>
      <member prot="public" refid="structwiced__bt__cfg__gatt__settings__t_1acfacd7a0fe60f7ee679df29c70b5be7f" virt="non-virtual"><scope>wiced_bt_cfg_gatt_settings_t</scope><name>client_max_links</name></member>
      <member prot="public" refid="structwiced__bt__cfg__gatt__settings__t_1a5c09f6c6df3ba21972db880fe343ca8f" virt="non-virtual"><scope>wiced_bt_cfg_gatt_settings_t</scope><name>max_attr_len</name></member>
      <member prot="public" refid="structwiced__bt__cfg__gatt__settings__t_1a370849937f0344b1b862b1e5ab9b0f34" virt="non-virtual"><scope>wiced_bt_cfg_gatt_settings_t</scope><name>max_db_service_modules</name></member>
      <member prot="public" refid="structwiced__bt__cfg__gatt__settings__t_1a9890bc521deb8fc14d73dba8d6729375" virt="non-virtual"><scope>wiced_bt_cfg_gatt_settings_t</scope><name>max_gatt_bearers</name></member>
      <member prot="public" refid="structwiced__bt__cfg__gatt__settings__t_1ae202354d17d16a6b90cec5cd4793e6b0" virt="non-virtual"><scope>wiced_bt_cfg_gatt_settings_t</scope><name>max_mtu_size</name></member>
      <member prot="public" refid="structwiced__bt__cfg__gatt__settings__t_1a115fec2179371bec60d1e46a97c7283c" virt="non-virtual"><scope>wiced_bt_cfg_gatt_settings_t</scope><name>server_max_links</name></member>
      <member prot="public" refid="structwiced__bt__cfg__gatt__settings__t_1a1cc255a7a7b07e5403207a85a0018826" virt="non-virtual"><scope>wiced_bt_cfg_gatt_settings_t</scope><name>use_gatt_over_br_edr</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>